Connectors
Connect accounts, manage connections and policies, run tools. 20 endpoints
GET /integrations/catalog
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
q (query) | string |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/catalog' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-providers
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
q (query) | string |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-providers' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/connections
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/connections' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-connections
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-connections' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/{toolkitSlug}/connect
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
toolkitSlug (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
credentials | record<string, string> | ||
label | string | length 0–80 | |
returnTo | string | length 0–300 · pattern ^\/(?!\/)[A-Za-z0-9/_\-.~%?=&]*$ |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/:toolkitSlug/connect' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'GET /integrations/connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /integrations/connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
displayLabel | string | length 1–80 | |
isDefault | true |
Example
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /integrations/connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /connector-connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
displayLabel | string | length 1–80 | |
isDefault | true |
Example
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /connector-connections/{connectionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/callback/verify
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/callback/verify' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/connections/{connectionId}/sync
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId/sync' \
-H "Authorization: Bearer $LEX_TOKEN"POST /connector-connections/{connectionId}/test
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/test' \
-H "Authorization: Bearer $LEX_TOKEN"PUT /connector-connections/{connectionId}/bots
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
botId | string | yes | length 1–∞ |
Example
bash
curl -X PUT 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/bots' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"botId":"string"}'DELETE /connector-connections/{connectionId}/bots/{botId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
connectionId (path) | string | yes | |
botId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/tools/search
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/tools/search' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/tools/{toolSlug}/execute
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
toolSlug (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
arguments | record<string, any> | yes | default {} |
approvalId | string | ||
idempotencyKey | string | length 8–200 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/tools/:toolSlug/execute' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"arguments":{}}'GET /integrations/policies
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/policies' \
-H "Authorization: Bearer $LEX_TOKEN"PUT /integrations/policies/{toolkitSlug}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
toolkitSlug (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
enabled | boolean | yes | |
authConfigId | string | null | ||
toolkitVersion | string | null | ||
allowedTools | string[] | max 500 items | |
deniedTools | string[] | max 2000 items | |
autoRunTools | string[] | max 2000 items | |
askTools | string[] | max 2000 items | |
writeRequiresApproval | boolean |
Example
bash
curl -X PUT 'https://api.lexcetha.com/api/v1/integrations/policies/:toolkitSlug' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"enabled":true}'